# typedef ClassField

#### package haxe.macro

#### import haxe.macro.Type

Available on Neko

Represents a class field.

### Properties

###

`doc:Null<String>`

The associated documentation of the class field.

###

`isPublic:Bool`

Whether or not the class field is public.

###

`kind:FieldKind`

The class field kind.

###

`meta:MetaAccess`

The metadata of the class field.

###

`name:String`

The name of the class field.

###

`overloads:Ref<Array<ClassField>>`

The overload fields of the class field.

###

`params:Array<TypeParameter>`

The type parameters of the class field.

###

`pos:Position`

The position of the class field.

###

`type:Type`

The type of the class field.

###

`expr ():Null<TypedExpr>`

Returns the typed expression of the class field.